For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
StatusDashboard
  • Getting Started
    • Introduction
    • Authentication
    • Rate Limits
    • Error Handling
  • Guides
    • Cash-In (Receiving Payments)
    • Cash-Out (Sending Payments)
    • PIX Keys Management
    • Webhooks Integration
    • MED (Special Returns)
  • API Reference
      • POSTCreate Cash-Out
      • GETGet Cash-Out Status
      • POSTDecode QR Code
LogoLogo
StatusDashboard
API ReferencePix Cash Out

Get Cash-Out Status

GET
https://api.brzip.com.br/api/v1/pix/cash-out/:cash_out_id
GET
/api/v1/pix/cash-out/:cash_out_id
$curl https://api.brzip.com.br/api/v1/pix/cash-out/cash_out_id
1{
2 "success": true,
3 "data": {
4 "transaction_id": "ed9964df-4b36-40fd-8d03-707631c8db7c",
5 "external_id": "10f2ff67-c1f5-47a2-a855-7958fe3a3474",
6 "amount": "50",
7 "currency": "BRL",
8 "status": "completed",
9 "pix_key": "a9570e91-ba2c-461a-9523-0371b9ab9177",
10 "pix_key_type": "evp",
11 "receiver_name": "John Doe",
12 "receiver_document": "48414628990",
13 "payer": {
14 "name": "John Doe",
15 "document": "48414628990",
16 "bank": {
17 "ispb": "24722685",
18 "participant_name": "BRX",
19 "agency": "0001",
20 "account": "12345678",
21 "account_type": "payment"
22 }
23 },
24 "receiver": {
25 "name": "Jane Doe",
26 "document": "42090392339",
27 "bank": {
28 "ispb": "00000000",
29 "participant_name": "BCO DO BRASIL S.A",
30 "agency": "0001",
31 "account": "87654321",
32 "account_type": "payment"
33 }
34 },
35 "end_to_end_id": "E24722685202604220043OFIJMVJTD9T",
36 "error_code": "string",
37 "error_message": "string",
38 "completed_at": "2026-04-22T00:45:49Z",
39 "created_at": "2026-04-22T00:45:47Z"
40 }
41}

Queries the status of a PIX payment (Cash-Out).

Possible statuses: processing, completed, failed, returned

Scope: pix:cashout:read

Was this page helpful?
Previous

Decode QR Code

Next
Built with

Path parameters

cash_out_idstringRequired

Cash-Out transaction ID

Response

Cash-Out status

successboolean
dataobject

Errors

404
Not Found Error